#include<bits/stdc++.h>
#define ll long long
using namespace std;
int cr[1005];
int main(){
	freopen("meow.in","r",stdin);
	freopen("meow.out","w",stdout);
	int T;
	scanf("%d",&T);
	while(T--){
		int n,m,k;
		deque<int>q[305];
		scanf("%d%d%d",&n,&m,&k);
		for(int i=1;i<=n;i++) scanf("%d",%cr[i]);
		cout<<1<<"\n";
	}
	return 0;
}
